Subject: Re: 2.4.2 USB and "mon>" (was Re: All 6 cards!!!)

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 7 Mar 2001 13:19:54 +0100

>Oh yes, sure enough. However, I am unable to tell you _where_ exactly it
>breaks.
>
>I've been unable to boot _any_ 2.3/2.4 kernels on my machine since
>around 2.3.99 or a bit earlier. Some revisions would boot part of the
>time, but most of them not at all. Symtom is always the same: hang
>before initializing the framebuffer, i.e. still on the OF screen.
>
>I get the 'retunring 0x... from prom_init' string, but nothing after
>that.....

That's weird ? I suppose you tried removing/moving PCI cards ?

You can also try to hack printk so that it calls prom_prinf (or xmon_printf),
that may help figure out where it goes wrong.

Ben.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/